 task D5_D6 {
	Array[File] splited_vcf
	String project
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		mkdir -p /cromwell_root/tmp/vcf

		cp ${sep=" " splited_vcf} /cromwell_root/tmp/vcf

		for i in /cromwell_root/tmp/vcf/*vcf
		do
			for j in /cromwell_root/tmp/vcf/*vcf
			do
				sample_i=$(echo $i | cut -f7 -d_)
				sample_j=$(echo $j | cut -f7 -d_)
				rep_i=$(echo $i | cut -f8 -d_)
				rep_j=$(echo $j | cut -f8 -d_)
				if [ $sample_i == "LCL5" ] && [ $sample_j == "LCL6" ] && [ $rep_i == $rep_j ];then
					cat $i | grep -v '##' | cut -f1,2,4,5,10 | cut -d ':' -f1 > LCL5.txt
					cat $j | grep -v '##' | cut -f10 | cut -d ':' -f1 > LCL6.txt
					paste LCL5.txt LCL6.txt > sister.txt
					python /opt/D5_D6.py -sister sister.txt -project ${project}.$rep_i
				fi
			done
		done

		for i in *.reproducibility.txt
		do
		  cat $i |  sed -n '2,2p' >> sister.summary
		done
		sed '1i\Family\tReproducibility_D5_D6' sister.summary > ${project}.sister.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] sister_file = glob("*.reproducibility.txt")
		File sister_summary = "${project}.sister.txt"
	}
}